import { ObjectType, Field } from '@nestjs/graphql';
import { LogResult, DefaultLogFields } from 'simple-git';

@ObjectType()
export class LogFields {
  hash: string;
  date: string;
  message: string;
  refs: string;
  body: string;
  author_name: string;
  author_email: string;
}

@ObjectType()
export class LogList implements LogResult<DefaultLogFields> {
  @Field(() => [LogFields])
  all: LogFields[];
  total: number;
  latest: LogFields;
}
